# Generated by Django 2.2.24 on 2021-11-01 05:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('clases', '0001_initial'),
        ('estudiantes', '0002_estudiante_clase'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='estudiante',
            name='clase',
        ),
        migrations.AddField(
            model_name='estudiante',
            name='clases',
            field=models.ManyToManyField(related_name='libros', to='clases.Clase'),
        ),
        migrations.CreateModel(
            name='EstudiantesLibros',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('clase', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='clases.Clase')),
                ('estudiante', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='estudiantes.Estudiante')),
            ],
        ),
    ]
